# DataExchange
TKIGES
IGESBasic

# IGESBasic_SubfigureDef Class Reference

defines SubfigureDef, Type <308> Form <0>
in package IGESBasic
This Entity permits a single definition of a detail to
be utilized in multiple instances in the creation of
the whole picture

`#include <IGESBasic_SubfigureDef.hxx>`

Inheritance diagram for IGESBasic_SubfigureDef:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_SubfigureDef ()
Standard_EXPORT void | Init (const Standard_Integer aDepth, const Handle(TCollection_HAsciiString)&aName, const Handle(IGESData_HArray1OfIGESEntity)&allAssocEntities)
| This method is used to set the fields of the class SubfigureDef - aDepth : It indicates the amount of nesting - aName : the subfigure name - allAssocEntities : the associated entities .
Standard_EXPORT Standard_Integer | Depth () const
| returns depth of the Subfigure if theDepth = 0 - No reference to any subfigure instance.
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| returns the name of Subfigure
Standard_EXPORT Standard_Integer | NbEntities () const
| returns number of entities. Is greater than or equal to zero.
Standard_EXPORT Handle_IGESData_IGESEntity | AssociatedEntity (const Standard_Integer Index) const
| returns the specific entity as indicated by Index raises exception if Index <= 0 or Index > NbEntities()
Standard_EXPORT Handle_Standard_Transient | Value (const Standard_Integer Index) const
| returns the specific entity as indicated by Index raises exception if Index <= 0 or Index > NbEntities()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theDepth
Handle_TCollection_HAsciiString | theName
Handle_IGESData_HArray1OfIGESEntity | theAssocEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_SubfigureDef::IGESBasic_SubfigureDef | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESBasic_SubfigureDef::AssociatedEntity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESBasic_SubfigureDef::Depth | ( |  | ) | const

Standard_EXPORT const IGESBasic_SubfigureDef::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_SubfigureDef::Init | ( | const Standard_Integer | aDepth,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allAssocEntities
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_SubfigureDef::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_SubfigureDef::NbEntities | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient IGESBasic_SubfigureDef::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESBasic_SubfigureDef::theAssocEntities `[private]`

Standard_Integer IGESBasic_SubfigureDef::theDepth `[private]`

Handle_TCollection_HAsciiString IGESBasic_SubfigureDef::theName `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_SubfigureDef.hxx